Bug 119332 - mod_authz_ldap cannot bind to secondary LDAP server
mod_authz_ldap cannot bind to secondary LDAP server
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mod_authz_ldap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-03-29 11:29 EST by Peter Lannigan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Lannigan 2004-03-29 11:29:45 EST
Description of problem:
It seems that mod_authz_ldap lacks any mechanism to specify more than
one LDAP server.  If that LDAP server goes down then all
authentication to the website fails.  This does not fit in an
"Enterprise Operating System".

Version-Release number of selected component (if applicable):

How reproducible:
Always. In the config AuthzLDAPServer takes only one argument.

Steps to Reproduce:
1.Load apache and mod_authz_ldap rpms for RHEL3
2.Configure AuthzLDAP* parameters
3.Shutoff your LDAP server -- you're hosed.
Actual results:

Expected results:

Additional info:
Comment 1 Joe Orton 2004-03-30 08:06:41 EST
Thanks for reporting this.
Comment 2 RHEL Product and Program Management 2007-10-19 15:28:22 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.